Description

The Application GUI (e.g., spiceinit) does not load parameters with multiple values (i.e., arrays) into the GUI's value fields correctly

when command line arguments contain arrays or the -last argument recalls a run with multiple values. It looks like it ignores all but

the first array element.

Example:

@spiceinit from=lor_0299178909_0x630_sci.fit.cub pck= '( nh_targets_v001.tpc, pck00010.tpc )' tspk='(NavSE_plu047_od119.bsp,

NavPE_de433_od119.bsp)' ik=nh_lorri_v201_draft_20160209.ti sclk=new-horizons_0941.tsc ck='(nh_scispi_2015_recon.bc,

nh_lorri_wcs.bc)' fk=nh_v220.tf spk=nh_pred_20141201_20190301_od119.bsp iak=nh_lorriAddendum_HAL_TEST.ti -gui@

Only load the first element of the array for the @pck@, @tspk@, and @ck@ parameters.

To reproduce, run the command above and look at what is in the text fields for any of the parameters with two values.

History

#1 - 2016-02-23 03:19 PM - Stuart Sides

- Description updated

#2 - 2016-02-24 04:41 PM - Tammy Becker

- Status changed from New to Acknowledged

#3 - 2016-08-08 02:30 PM - Stuart Sides

- Assignee set to Adam Paquette

- Target version set to 3.4.13 (FY16 R3 2016-08-31 Aug)

#4 - 2016-08-09 04:37 PM - Adam Paquette

- Status changed from Acknowledged to Rejected

This issue is different for every terminal shell, since each shell will handle parentheses in its own way. Using the command line, the parentheses will

need to be escaped with a \ to work in a tc shell. However, all GUIs should be able to handle lists (#4088) if you enter them directly into the GUI.
